org.jgroups.persistence

## Interface PersistenceManager

- All Known Implementing Classes:
    DBPersistenceManager, FilePersistenceManager

  Deprecated.

      @Deprecated
      public interface PersistenceManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated. Clears the complete NV state from the DB
    `java.io.Serializable` | `remove(java.io.Serializable key)` Deprecated. Remove existing NV from being persisted
    `java.util.Map` | `retrieveAll()` Deprecated. Gives back the Map in last known state
    `void` | `save(java.io.Serializable key, java.io.Serializable val)` Deprecated. Save new NV pair as serializable objects or if already exist; store new state
    `void` | `saveAll(java.util.Map map)` Deprecated. Use to store a complete map into persistent state
    `void` | `shutDown()` Deprecated. Used to handle shutdown call the PersistenceManager implementation.

- - ### Method Detail

    - #### save

          void save(java.io.Serializable key,
                  java.io.Serializable val)
                    throws CannotPersistException

      Deprecated.
      Save new NV pair as serializable objects or if already exist; store new state
      Parameters:
        `key` -
        `val` -
      Throws:
        `CannotPersistException;`
        `CannotPersistException`

    - #### remove

          java.io.Serializable remove(java.io.Serializable key)
                                      throws CannotRemoveException

      Deprecated.
      Remove existing NV from being persisted
      Parameters:
        `key` - value
      Returns:
        Serializable; gives back the value
      Throws:
        `CannotRemoveException;`
        `CannotRemoveException`

    - #### saveAll

          void saveAll(java.util.Map map)
                       throws CannotPersistException

      Deprecated.
      Use to store a complete map into persistent state
      Parameters:
        `map` -
      Throws:
        `CannotPersistException;`
        `CannotPersistException`

    - #### retrieveAll

          java.util.Map retrieveAll()
                                    throws CannotRetrieveException

      Deprecated.
      Gives back the Map in last known state
      Returns:
        Map;
      Throws:
        `CannotRetrieveException;`
        `CannotRetrieveException`

    - #### clear

          void clear()
                     throws CannotRemoveException

      Deprecated.
      Clears the complete NV state from the DB
      Throws:
        `CannotRemoveException;`
        `CannotRemoveException`

    - #### shutDown

          void shutDown()

      Deprecated.
      Used to handle shutdown call the PersistenceManager implementation. Persistent engines can leave this implementation empty.

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.